Vulnerability CVE-2015-2788


Published: 2015-04-14

Description:
Multiple stack-based buffer overflows in the ib_fill_isqlda function in dbdimp.c in DBD-Firebird before 1.19 allow remote attackers to have unspecified impact via unknown vectors that trigger an error condition, related to binding octets to columns.

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
10/10
10/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Debian -> Dbd-firebird 
Debian -> Debian linux 

 References:
http://www.debian.org/security/2015/dsa-3219
http://www.openwall.com/lists/oss-security/2015/03/30/10
http://www.openwall.com/lists/oss-security/2015/03/30/4
http://www.securityfocus.com/bid/73409
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=780925
https://metacpan.org/source/DAM/DBD-Firebird-1.19/Changes

Copyright 2021, cxsecurity.com

 

Back to Top